/* Citations - Estilo por defecto para los elementos de citas dentro del contenido de los posts */

.wp-block-pullquote{
  margin-top: 1rem;
  margin-bottom: 1rem;
  padding: 0;
}

.wp-block-pullquote blockquote{
  border-left: 4px solid var(--pr-primary);
  border-radius: 2px;
  margin: 0;
  padding: 12px;
  background-color: var(--pr-bg-panel);
  text-align: left;
}

.wp-block-pullquote blockquote p{
  margin: 0;
  font-size: 1rem;
}

.wp-block-pullquote blockquote cite{
  display: block;
  font-family: monospace;
  font-size: 0.8rem;
  color: var(--pr-text-color);
  opacity: 0.7;
  margin-top: 8px;
  font-style: normal;
  text-transform: uppercase;
}

/* YouTube embeds responsivos */
.wp-block-embed.is-type-video.is-provider-youtube.wp-block-embed-youtube.wp-embed-aspect-16-9.wp-has-aspect-ratio {
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
  position: relative;
  width: 100%;
}

.wp-block-embed.is-type-video.is-provider-youtube.wp-block-embed-youtube.wp-embed-aspect-16-9.wp-has-aspect-ratio .wp-block-embed__wrapper {
  position: relative;
  padding-bottom: 56.25%; /* Relacion de aspecto 16:9 */
  height: 0;
  overflow: hidden;
  border: 1px solid var(--pr-border-color);
  background-color: #000000;
  border-radius: 2px;
}

.wp-block-embed.is-type-video.is-provider-youtube.wp-block-embed-youtube.wp-embed-aspect-16-9.wp-has-aspect-ratio .wp-block-embed__wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}